//  Copyright 2004 Garth Gillespie, All Rights Reserved.
// This C++ code is part of Analog Annelid, the creation of Garth Gillespie,
// And may only be used for educational, non-profit purposes.
// For more information, please visit http://www.garthgillespie.com/annelid/ .

#ifndef GG_MIXER_H
#define GG_MIXER_H

// SDL_Init() or SDL_InitSubSystem() should be called with SDL_INIT_AUDIO
// before these functions are used.  Likewise, SDL_QuitSubSystem() or
// SDL_Quit() should be called once the functions are no longer needed.

int  Mixer_init(); // returns < 0 on error
void Mixer_down(); // shuts down the mixer system
void Mixer_reg(const char *fname); // loads a sound to be played later
void Mixer_add(const char *fname); // adds a wav file to the mix, registers if necessary

#endif
